Kaiten
Customers

List customers

Returns the list of all customers.

GET
/customers

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://demo.kaiten.sh/customers"
[
  {
    "createdAt": "2023-10-01T12:00:00Z",
    "createdBy": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe"
    },
    "externalCustomerId": "external-customer-id-12345",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Awesome Customer",
    "slug": "awesome-customer",
    "updatedAt": "2023-10-01T12:00:00Z",
    "updatedBy": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe"
    }
  }
]
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}